Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4786 - math.h and mathinline.h
Summary: math.h and mathinline.h
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-30 17:22 UTC by paris
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-06 17:09:42 UTC


Attachments (Terms of Use)

Description paris 1999-08-30 17:22:41 UTC
Ok, so whenever i inlcude math.h it has this crazy notion
that mathinline.h needs be included as well, which causes
compile problems.  So after looking into this for a while i
found that __USE_EXTERN_INLINE is either always defined
somehow, even when using -U__USE__..  I changed the code in
the math.h file from:

#ifdef __USE_EXTERN_INLINES
# include <bits/mathinline.h>
#endif

to:

#if defined __USE_EXTERN_INLINES && !defined
__NO_MATH_INLINES
# include <bits/mathinline.h>
#endif

So when __NO_MATH_INLINES is defined, it won't use them.
There is still something wacky about __USE_EXTERN_INLINES
seeing that it is always being defined.

Let me know if there is a different/better fix for this.

thanks,
Joe Paris
Argonne National Labs

Comment 1 Jeff Johnson 1999-08-31 18:34:59 UTC
This is a glibc problem

Comment 2 Cristian Gafton 1999-10-06 17:09:59 UTC
USE_EXTERN_INLINES are defined if using optimization (check the
features.h)


Note You need to log in before you can comment on or make changes to this bug.